public static interface XmlVerifierEndpointBuilderFactory.XmlVerifierBuilders
| Modifier and Type | Method and Description |
|---|---|
default XmlVerifierEndpointBuilderFactory.XmlVerifierEndpointBuilder |
xmlsecurityVerify(String path)
XML Security Verify (camel-xmlsecurity)
Verify XML payloads using the XML signature specification.
|
default XmlVerifierEndpointBuilderFactory.XmlVerifierEndpointBuilder |
xmlsecurityVerify(String componentName,
String path)
XML Security Verify (camel-xmlsecurity)
Verify XML payloads using the XML signature specification.
|
default XmlVerifierEndpointBuilderFactory.XmlVerifierEndpointBuilder xmlsecurityVerify(String path)
xmlsecurity-verify:name
Path parameter: name (required)
The name part in the URI can be chosen by the user to distinguish
between different verify endpoints within the camel context.path - namedefault XmlVerifierEndpointBuilderFactory.XmlVerifierEndpointBuilder xmlsecurityVerify(String componentName, String path)
xmlsecurity-verify:name
Path parameter: name (required)
The name part in the URI can be chosen by the user to distinguish
between different verify endpoints within the camel context.componentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel